package ch.psi.daq.test.queryrest.controller;

import org.junit.After;

import com.fasterxml.jackson.databind.ObjectMapper;

import ch.psi.daq.domain.query.response.Response;
import ch.psi.daq.queryrest.response.bson.BSONHTTPResponse;

import de.undercouch.bson4jackson.BsonFactory;

/**
 * Tests the {@link DaqController} implementation.
 */
public class BsonQueryRestControllerTest extends AbstractQueryRestControllerTest {

   private ObjectMapper responseMapper = new ObjectMapper(new BsonFactory());
   
   @After
   public void tearDown() throws Exception {}
   
   @Override
   protected ObjectMapper getResponseMapper(){
      return responseMapper;
   }

   @Override
   protected Response getResponse() {
      return new BSONHTTPResponse();
   }
}
